"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var styleMap = {
  up: {
    transform: 'rotate(180deg)'
  },
  down: {
    transform: 'rotate(0deg)'
  },
  left: {
    transform: 'rotate(90deg)'
  },
  right: {
    transform: 'rotate(270deg)'
  }
};

var Arrow = function Arrow(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 10 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? '#282828' : _ref$color,
      _ref$rotate = _ref.rotate,
      rotate = _ref$rotate === void 0 ? 'down' : _ref$rotate,
      _ref$style = _ref.style,
      style = _ref$style === void 0 ? null : _ref$style;
  return _react.default.createElement("svg", {
    width: size,
    viewBox: "0 0 10 6",
    style: _objectSpread({}, styleMap[rotate], style)
  }, _react.default.createElement("g", {
    stroke: "none",
    strokeWidth: "1",
    fill: "none",
    fillRule: "evenodd"
  }, _react.default.createElement("g", {
    transform: "translate(-308.000000, -38.000000)",
    fill: color,
    fillRule: "nonzero"
  }, _react.default.createElement("g", {
    transform: "translate(230.000000, 31.000000)"
  }, _react.default.createElement("polygon", {
    transform: "translate(83.000000, 10.000000) rotate(-270.000000) translate(-83.000000, -10.000000) ",
    points: "80 6.2534273 81.2026307 5 86 10 81.2026307 15 80 13.7465727 83.5872931 10"
  })))));
};

var _default = Arrow;
exports.default = _default;